# Uses of Class
org.eclipse.gef.geometry.euclidean.Straight

Packages that use Straight
Package
Description
org.eclipse.gef.geometry.euclidean
This package provides core abstractions to support calculations within 2-dimensional Euclidean space.
org.eclipse.gef.geometry.projective
This package provides core abstractions to support calculations within 2-dimensional projective vector space.

## Uses of Straight in org.eclipse.gef.geometry.euclidean

Methods in org.eclipse.gef.geometry.euclidean that return Straight
Modifier and Type
Method
Description
`Straight`
Straight.`clone()`
`Straight`
Straight.`getCopy()`
Returns a copy of this `Straight` object.
Methods in org.eclipse.gef.geometry.euclidean with parameters of type Straight
Modifier and Type
Method
Description
`Angle`
Straight.`getAngle(Straight other)`
Returns the (smallest) `Angle` between this `Straight` and the provided one.
`Angle`
Straight.`getAngleCCW(Straight other)`
Returns the counter-clockwise (CCW) or positive `Angle` spanned between the two `Straight`s.
`Angle`
Straight.`getAngleCW(Straight other)`
Returns the clockwise (CW) or negative `Angle` spanned between the two `Straight`s.
`Vector`
Straight.`getIntersection(Straight other)`
Computes and returns the position `Vector` of the intersection of this `Straight` and the provided one.
`boolean`
Straight.`intersects(Straight other)`
Checks whether this `Straight` and the provided one have a single `Point` of intersection.
`boolean`
Straight.`intersectsWithinSegment(Vector segmentStart, Vector segmentEnd, Straight other)`
Checks whether this `Straight` and the provided one have an intersection `Point` which is inside the specified segment between the segmentStart and segmentEnd `Vector`s.
`boolean`
Straight.`isParallelTo(Straight other)`
Checks if this `Straight` and the provided one are parallel to each other.

## Uses of Straight in org.eclipse.gef.geometry.projective

Methods in org.eclipse.gef.geometry.projective that return Straight
Modifier and Type
Method
Description
`Straight`
Straight3D.`toStraight()`
Transfer this `Straight3D` into a representative `Straight`.